Skip to main content
GET
/
tickets
Error
A valid request URL is required to generate request examples
{
  "count": 123,
  "tickets": [
    {
      "ticket_id": 123,
      "created": "2023-11-07T05:31:56Z",
      "updated": "2023-11-07T05:31:56Z",
      "type": "problem",
      "subject": "<string>",
      "description": "<string>",
      "priority": "low",
      "followup_tid": "<string>",
      "status": "closed",
      "recipient": "<string>",
      "requester_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "submitter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "assignee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "<string>",
      "collaborator_ids": [
        "<string>"
      ],
      "has_incidents": true,
      "due": "2023-11-07T05:31:56Z",
      "tags": [
        "<string>"
      ],
      "subscription_id": "<string>",
      "ticket_group": "<string>",
      "support_plan": "<string>",
      "affected_url": "<string>",
      "queue": "<string>",
      "issue_type": "<string>",
      "resolution_time": "2023-11-07T05:31:56Z",
      "response_time": "2023-11-07T05:31:56Z",
      "project_url": "<string>",
      "region": "<string>",
      "category": "access",
      "environment": "env_development",
      "ticket_sharing_status": "ts_sent_to_platform",
      "application_ticket_url": "<string>",
      "infrastructure_ticket_url": "<string>",
      "jira": [
        {
          "id": 123,
          "ticket_id": 123,
          "issue_id": 123,
          "issue_key": "<string>",
          "created_at": 123,
          "updated_at": 123
        }
      ],
      "zd_ticket_url": "<string>"
    }
  ],
  "_links": {
    "self": {
      "title": "<string>",
      "href": "<string>"
    },
    "previous": {
      "title": "<string>",
      "href": "<string>"
    },
    "next": {
      "title": "<string>",
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Query Parameters

filter[ticket_id]
integer

The ID of the ticket.

filter[created]
string<date-time>

ISO dateformat expected. The time when the support ticket was created.

filter[updated]
string<date-time>

ISO dateformat expected. The time when the support ticket was updated.

filter[type]
enum<string>

The type of the support ticket.

Available options:
problem,
task,
incident,
question
filter[priority]
enum<string>

The priority of the support ticket.

Available options:
low,
normal,
high,
urgent
filter[status]
enum<string>

The status of the support ticket.

Available options:
closed,
deleted,
hold,
new,
open,
pending,
solved
filter[requester_id]
string<uuid>

UUID of the ticket requester. Converted from the ZID value.

filter[submitter_id]
string<uuid>

UUID of the ticket submitter. Converted from the ZID value.

filter[assignee_id]
string<uuid>

UUID of the ticket assignee. Converted from the ZID value.

filter[has_incidents]
boolean

Whether or not this ticket has incidents.

filter[due]
string<date-time>

ISO dateformat expected. A time that the ticket is due at.

Search string for the ticket subject and description.

page
integer<int32>

Page to be displayed. Defaults to 1.

Response

200 - application/json

The list of tickets.

count
integer

Total number of results.

tickets
object[]

Array of support tickets.

Links to _self, and previous or next page, given that they exist.

Last modified on March 11, 2026